/*/
       Copyright (c) 1990 by Optimal Software, All Rights Reserved
/*/

#include <stdio.h>

#include "heap.h"
#include "heap.i"

/*/
      These routines are called when the heap manager detects the
      associated error.
/*/

/******************************************************************************/
/*/
      Report an invalid heap pointer

      This should be a fatal error.
/*/
extern int pascal _heapbadptr( void far *ptr )
{
fprintf( stderr, "\nNon-heap pointer: %Fp\n", ptr );

return( TRUE );   /* TRUE causes an exit(-1) */
}
/******************************************************************************/
/*/
      Report a free heap pointer

      This can be ignored, but it still indicates a bug.
/*/
extern int pascal _heapfreeptr( void far *ptr )
{
fprintf( stderr, "\nCannot free, watch, or relocate a free heap pointer: %Fp\n", ptr );

return( FALSE );  /* TRUE causes an exit(-1) */
                  /* FALSE lets the program continue */
}
/******************************************************************************/
