/*/
       Copyright (c) 1990 by Optimal Software, All Rights Reserved
/*/

#include "heap.h"

#if !defined( _DATA_NEAR )

/******************************************************************************/
/*/
    Reduce size of default data segment

    Copied from Compuserve/MSSYS/DL3/alloc.arc/reducedd.c

    By Willard Gersbacher [76117,2611]

    Modified 90-01-12 by Optimal Software (ljiw)

      Works with MSC 5.1

      Fails with MSC 6.0

   This function it called once, when the far heap is initialized
/*/
extern void pascal _nheapkill( void )
{
extern size_t _abrktb[], _asizds;
extern uint   _psp;

size_t newsize = ( _abrktb[0] + 15 ) & -16;         /* round up to paragraph */

size_t para    = newsize/16 + _abrktb[1] - _psp;    /* total paragraphs */

if ( !_dos_realloc( para, _psp, &para ) )           /* change arena size */

   _asizds = newsize;                               /* record result */
}
/******************************************************************************/

#endif
